Subject: bug#36378: Guix Cuirass Issue with Input channels

From: "Reza Alizadeh Majd" <[email-masked]>
Date: Tue, 02 Jul 2019 11:18:27 +0430

Hi Ludo, 

> 
> I find it hard to believe this has anything to do with the name starting
> with ‘p’.
> 
> If you change back from ‘_pkginput’ to ‘pkginput’, does it fail again?
> 

yes, renaming the input name back to `pkginput` I received same error 
again. 

It is so strange for me, but I had various tests, and received same results 
on each attempt. 

steps to reproduce this issue: 

1. install GuixSD on a virtual machine
2. update package repository using `guix pull`
3. install cuirass using `guix package -i cuirass`
4. create an spec file with following contents: 

--8<---------------cut here---------------start------------->8---
(list 
  '((#:name . "hello-spec")
    (#:load-path-inputs . ("guix"))
    (#:package-path-inputs . ())
    (#:proc-input . "guix")
    (#:proc-file . "build-aux/cuirass/gnu-system.scm")
    (#:proc . cuirass-jobs)
    (#:proc-args . ((subset . ("hello" "wget"))
		    (systems . ("x86_64-linux"))))
    (#:inputs . (((#:name . "guix")
		  (#:url . "git://git.savannah.gnu.org/guix.git")
		  (#:load-path . ".")
		  (#:branch . "master")
		  (#:no-compile? . #t))
		 ((#:name . "pkginput")
		  (#:url . "git://git.savannah.gnu.org/guix/guix-cuirass.git")
		  (#:load-path . ".")
		  (#:branch . "master")
		  (#:no-compile? . #t))))))
--8<---------------cut here---------------end--------------->8---

5. run cuirass manually using following command shows the issue:
`cuirass --listen=0.0.0.0 --port=8082 -D test.db -S spec.scm`

6. removing the `test.db` and rename the `pkginput` to `_pkginput`
cuirass starts without problem. 

7. restore back the name of `_pkginput` to `pkginput`, remove the 
`test.db` file, and re run the cuirass, same error occurs again. 

Best,
Reza